# ComparatorException class

Exception thrown when a comparator is used with a type that is not comparable.

Example usage:

    try {
      final list = [1, 'a', 2];
      list.sort(Comparator.naturalOrder());
    } catch (e) {
      if (e is ComparatorException) {
        print(e.message); // "Cannot compare 1 and a. a is not comparable."
      }
    }

Inheritance
  - Object
  - Error
  - RuntimeException
  - LangException
  - ComparatorException
Available extensions
  - ErrorExtensions
  - ExceptionExtensions
  - RuntimeExceptionExtensions
  - ThrowableExtensions

## Constructors

ComparatorException.new(String message)
  Exception thrown when a comparator is used with a type that is not comparable.

## Properties

cause → Object?
  The underlying cause of this exception, if any.
  final inherited
hashCode → int
  The hash code for this object.
  no setter inherited
message → String
  The message describing the error.
  final inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
stackTrace → StackTrace
  The associated stack trace.
  final inherited

## Methods

getCause() → Object
  The cause of this exception, if any.
  inherited
getMessage() → String
  The message associated with this exception.
  inherited
getStackTrace() → StackTrace
  The stack trace associated with this exception.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
printStackTrace([bool useErrorPrint = false]) → void

  Available on Error, provided by the ErrorExtensions extension

  Prints the error along with its stack trace.
printStackTrace([StackTrace? stacktrace, bool useErrorPrint = false]) → void

  Available on Exception, provided by the ExceptionExtensions extension

  Prints the exception and optional StackTrace if available.
printStackTrace([bool useErrorPrint = false]) → void

  Available on RuntimeException, provided by the RuntimeExceptionExtensions extension

  Extension on RuntimeException to support pretty stack trace printing.
printStackTrace([bool useErrorPrint = false]) → void

  Available on Throwable, provided by the ThrowableExtensions extension

  Extension on Throwable to support printing stack traces in a unified way.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited